# == Class: openvpn::config
#
# This class sets up the openvpn enviornment as well as the default config file
#
#
# === Examples
#
# This class should not be directly invoked
#
# === Authors
#
# * Raffael Schmid <mailto:raffael@yux.ch>
# * John Kinsella <mailto:jlkinsel@gmail.com>
# * Justin Lambert <mailto:jlambert@letsevenup.com>
#
class openvpn::config {

  if $::osfamily == 'Debian' {
    include concat::setup
    
    concat {
      '/etc/default/openvpn':
        owner  => root,
        group  => root,
        mode   => 644,
        warn   => true;
    }

    concat::fragment {
      'openvpn.default.header':
        content => template('openvpn/etc-default-openvpn.erb'),
        target  => '/etc/default/openvpn',
        order   => 01;
    }
  }
}